package com.liangjian.search.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liangjian.search.entity.QAProblem;
import com.liangjian.search.es.QAProblemEs;
import com.liangjian.search.util.Tuple2;
import org.springframework.data.domain.Page;
import org.springframework.data.elasticsearch.annotations.Query;
import org.springframework.lang.Nullable;

import java.util.List;

/**
 * Created by huangziqi on 2020/1/3
 */
public interface IQAProblemService extends IService<QAProblem> {
    int SUCCESS = 0;
    int FAILED = 1;
    int NO_SUCH_ID = 2;


    List<QAProblem> getWrappedProblem(@Nullable Long id, Integer offset, Integer limit);

    Page<QAProblemEs> search(String keyword, Integer page, Integer size);

    List<String> think(String keyword);

    Tuple2<Integer,String> addQAProblemEs(Long id);

    @Deprecated
    Tuple2<Boolean,String> addQAProblemESBatch(List<QAProblemEs> list);

    Tuple2<Integer,String> editQAProblemEs(Long id);

    Tuple2<Integer,String> deleteQAProblemEs(Long id);
}
